get_defined_functions
register_tick_function
Function handling Functions
PHP Manual

# register_shutdown_function

(PHP 4, PHP 5)

register_shutdown_function — Register a function for execution on shutdown

### Description

void register_shutdown_function ( callback `$function` [, mixed `$parameter` [, mixed `$...` ]] )

Registers the function named by `function` to be executed when script processing is complete.

Multiple calls to register_shutdown_function() can be made, and each will be called in the same order as they were registered. If you call exit() within one registered shutdown function, processing will stop completely and no other registered shutdown functions will be called.

### Parameters

`function`

  The shutdown function to register.

  The shutdown functions are called as the part of the request so that it's possible to send the output from them. There is currently no way to process the data with output buffering functions in the shutdown function.

  Shutdown functions are called after closing all opened output buffers thus, for example, its output will not be compressed if zlib.output_compression is enabled.

`parameter`

  It is possible to pass parameters to the shutdown function by passing additional parameters.

`...`

### Return Values

No value is returned.

### Changelog

Version | Description
--- | ---
4.1.0 | The shutdown functions are now called as a part of the request. In earlier versions under Apache, the registered shutdown functions were called after the request has been completed (including sending any output buffers), so it was not possible to send output to the browser using echo() or print(), or retrieve the contents of any output buffers using ob_get_contents(). Headers were also always already sent.
4.0.0 | Added the possibility to pass parameters to the shutdown function.

### Examples

Example #1 register_shutdown_function() example

`<?php
function shutdown()
{
// This is our shutdown function, in
// here we can do any last operations
// before the script is complete.
echo 'Script executed with success', PHP_EOL;
}
register_shutdown_function('shutdown');
?>`

### Notes

> Note: Typically undefined functions cause fatal errors in PHP, but when the `function` called with register_shutdown_function() is undefined, an error of level `E_WARNING` is generated instead. Also, for reasons internal to PHP, this error will refer to Unknown at line #0.

> Note: Working directory of the script can change inside the shutdown function under some web servers, e.g. Apache.

### See Also

- auto_append_file
- exit() - Output a message and terminate the current script
- The section on connection handling

get_defined_functions
register_tick_function
Function handling Functions
PHP Manual